GLXDESTROYPIXMAP(3G)

NAME
glXDestroyPixmap - destroy an off-screen rendering area

C SPECIFICATION

void glXDestroyPixmap(Display * dpy, GLXPixmap pixmap);

PARAMETERS

dpy
    Specifies the connection to the X server.

pixmap
    Specifies the GLXPixmap to be destroyed.

DESCRIPTION

glXDestroyPixmap destroys a GLXPixmap created by glXCreatePixmap().

NOTES

glXDestroyPixmap is available only if the GLX version is 1.3 or greater.

If the GLX version is 1.1 or 1.0, the GL version must be 1.0. If the GLX version is 1.2, then the GL version must be 1.1. If the GLX version is 1.3, then the GL version must be 1.2.

ERRORS

GLXBadPixmap is generated if pixmap is not a valid GLXPixmap.

SEE ALSO

glXChooseFBConfig(), glXCreatePixmap(), glXDestroyGLXPixmap(), glXMakeContextCurrent()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.